<?php
/**
 * The main template file for the category index.
 *
 *
 * @package University of Utah
 */

get_header(); ?>

<div class="container-fluid category">

    <div class="ten-twenty-four row clearfix">
    	<?php if ( ! dynamic_sidebar( 'sidebar-above-columns' ) ) : endif; ?>
    	<div class="two-column-margin">
	    	<div class="col-sm-8 main-channel">

				<div id="primary" class="content-area">
					<main id="main" class="site-main" role="main">

					<?php if ( have_posts() ) : ?>

						<?php /* Start the Loop */ ?>

						<div class="content-padding">

						<h2 class="page-title"><?php echo single_cat_title( '', false ); ?></h2>

                        <?php while (have_posts()) : the_post(); ?>
                        	<?php $myId = get_the_ID();

                            if ( ! post_password_required($myId) ) { ?>
                            <div class="post-image">

								<?php if ( has_post_thumbnail() ) { ?>
                                <a href="<?php the_permalink() ?>"><?php the_post_thumbnail(); ?></a>
								<?php } ?>
                            </div>
		    				<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
		    		        <div class="entry-meta">
                            <span class="date"><?php echo get_the_date(); ?></span>
                            </div><!-- .entry-meta -->
                            <div class="entry-content">
		    				<?php the_excerpt(); ?>
		    				</div>
                            <hr />
                             <?php } ?>

		  					<?php endwhile;?>

                            <div class="nav-older pagination"><?php next_posts_link( 'Older posts' ); ?></div>
                            <div class="nav-newer pagination"><?php previous_posts_link( 'Newer posts' ); ?></div>

						</div>

					<?php else : ?>

					<?php get_template_part( 'content', 'none' ); ?>

					<?php endif; ?>

					</main><!-- #main -->
				</div><!-- #primary -->

			</div>

		</div>

		<?php get_sidebar(); ?>

	</div><!-- #ten twenty four -->

</div><!-- #container fluid -->


<?php get_footer(); ?>
